/alertActionRules/{actionRuleId}Ask AIpatch https://{BaseUrl}/api/v3.0/alertActionRules/{actionRuleId}Update single alert action rule.Path ParamsactionRuleIdstringrequiredBody ParamsnamestringName to let humans easily identify and understand the alert action rule.notesstringLarge text field that allows users to leave notes for themselves and others.enabledbooleanDefaults to trueIf set to true, this rule is active, if set to false, it will not be applied.truetruefalsealertTypesarray of strings | nullIf defined, this rule will only trigger on alerts of the given types.alertTypesADD stringactorIdsarray of strings | nullIf defined, this rule will only trigger on alerts about actors with the given ids.actorIdsADD stringactorTypesarray of strings | nullIf defined, this rule will only trigger on alerts about actors of the given types.actorTypesADD stringactorAccountIdsarray of strings | nullIf defined, this rule will only trigger on alerts about actors from the given accounts.actorAccountIdsADD stringruleIdsarray of strings | nullIf defined, this rule will only trigger on alerts that were generated by one of the given alert condition rules.ruleIdsADD stringpriority__gteinteger | nullIf defined, this rule will only trigger on alerts with a priority greater than or equal to the given value.priority__lteinteger | nullIf defined, this rule will only trigger on alerts with a priority less than or equal to the given value.alertActionIdsarray of stringsDefines the actions to take if an alert matches the rule.alertActionIdsADD stringlocationIdsarray of strings | nullIf defined, this rule will only trigger on alerts about actors from the given locations.locationIdsADD stringResponses 204Alert Condition Rule Updated 400The supplied object is invalid. Error detail will contain the validation error. 401You are not authenticated. Please authenticate and try again. 403You have no permission to access the specified resource. 404Referenced resource could not be found. 500Something went wrong in the server. Please try again.Updated 5 months ago